Package org.eclipse.m2m.atl.profiler.vm

## Class ProfilingDebugger

- java.lang.Object
- - org.eclipse.m2m.atl.profiler.vm.ProfilingDebugger

All Implemented Interfaces:
  `Debugger`

    public class ProfilingDebugger
    extends java.lang.Object
    implements Debugger

Class used by the ATL Virtual Machine.
Redirect operations to the ATL profiler

See Also:
  `ATLProfiler`

### Constructor Summary

Constructors
`ProfilingDebugger​(org.eclipse.emf.ecore.EObject atlModel)` Creates a new profiling debugger.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `enter​(StackFrame frame)` Enters the frame.
`void` `error​(StackFrame frame, java.lang.String msg, java.lang.Exception e)` Throws an error.
`void` `leave​(StackFrame frame)` Leaves the frame.
`void` `step​(ASMStackFrame frame)` Steps into the frame.
`void` `terminated()` Terminates the execution.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProfilingDebugger

    public ProfilingDebugger​(org.eclipse.emf.ecore.EObject atlModel)

Creates a new profiling debugger.

Parameters:
  `atlModel` - the atl code model

### Method Detail

#### terminated

    public void terminated()

Terminates the execution.

Specified by:
  `terminated` in interface `Debugger`
See Also:
  `Debugger.terminated()`

#### error

    public void error​(StackFrame frame,
                      java.lang.String msg,
                      java.lang.Exception e)

Throws an error.

Specified by:
  `error` in interface `Debugger`
Parameters:
  `frame` - the current frame
  `msg` - the error message
  `e` - the exception
See Also:
  `Debugger.error(org.eclipse.m2m.atl.engine.vm.StackFrame, java.lang.String, java.lang.Exception)`

#### enter

    public void enter​(StackFrame frame)

Enters the frame.

Specified by:
  `enter` in interface `Debugger`
Parameters:
  `frame` - the frame to enter in
See Also:
  `Debugger.enter(org.eclipse.m2m.atl.engine.vm.StackFrame)`

#### leave

    public void leave​(StackFrame frame)

Leaves the frame.

Specified by:
  `leave` in interface `Debugger`
Parameters:
  `frame` - the frame to leave
See Also:
  `Debugger.leave(org.eclipse.m2m.atl.engine.vm.StackFrame)`

#### step

    public void step​(ASMStackFrame frame)

Steps into the frame.

Specified by:
  `step` in interface `Debugger`
Parameters:
  `frame` - the frame to step
See Also:
  `Debugger.step(org.eclipse.m2m.atl.engine.vm.ASMStackFrame)`